This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 29032 - fisher wigs out on Emachines 333cs
fisher wigs out on Emachines 333cs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-23 09:30 EST by Mike Wohlgemuth
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 13:16:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Wohlgemuth 2001-02-23 09:30:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1 i686)


I have a stock Emachines 333cs.  Whenever I boot the machine under fisher,
about the time the kernel tries to mount swap (stuff scrolls by quickly, so
it is hard to say for sure), I get the following repeatedly written to the
screen:

[<ffXXc117>]

Replace XX with seemingly random hex digits.  There are eight of these per
line, and this continues until I power down.  I have installed 6.1 and 6.2
with no problems on this box.  I do not have a copy of 7.0, so I have not
tried that.

Reproducible: Always
Steps to Reproduce:
1.  Install fisher
2.  Reboot
	

Actual Results:  See description

Expected Results:  The joy of running Linux.
Comment 1 Michael K. Johnson 2001-02-23 14:05:28 EST
Please try wolverine, our more recent beta release.  It may well
fix this; several different bugs that could potentially have
created symptoms like this are fixed in that kernel.
Comment 2 Glen Foster 2001-02-23 16:55:47 EST
We (Red Hat) should really try to resolve this before next release.
Comment 3 Mike Wohlgemuth 2001-02-24 13:53:19 EST
I tried wolverine, and I can't even manage to get it to install.  I get the
initial install screen, type 'expert', and when the kernel tries to boot, it
gets to 'Checking if this processor honours the WP bit even in supervisor
mode...' and then hangs.
Comment 4 Mike Wohlgemuth 2001-02-26 14:46:27 EST
Is this problem likely to go away if I swap out the Cyrix MII in the 333cs with
an AMD K6-II?  I don't have one handy, but I'll put some effort into tracking
one down if it's likely to fix it.  I'll definitely keep the Cyrix around for
any testing you might want to do, but I would like to get this box running some
version of 2.4.x soon.

Thanks
Mike
Comment 5 Michael K. Johnson 2001-02-27 18:55:51 EST
It might; there has been a fix recently for that particular bug on
Cyrix chips, and I think that fix is more recent than wolverine.
While I think it's in our latest rawhide kernel, that doesn't help
you install...
Comment 6 Michael K. Johnson 2001-02-27 18:57:01 EST
See bug #29143 for more information
Comment 7 Mike Wohlgemuth 2001-03-04 14:52:22 EST
Replacing the Cyrix MII fixed my problem.  Wolverine now boots fine on the box.
Comment 8 Michael K. Johnson 2001-03-05 13:16:41 EST
We also have a Cyrix processor here to test with, so we can test
cyrix fixes locally.
Comment 9 Arjan van de Ven 2001-03-23 15:36:46 EST
This should be fixed for a while. If it doesn't work with recent kernels,
please reopen this bug
Comment 10 alex 2001-07-09 17:35:36 EDT
I'd like to reopen this bug. I, too, have an eMachines 333cs, and get largely 
the same behavior. In my case, I get the same "output format" - eight groups 
along the lines of "[<c01132f6>]" followed by a newline - but after a while the 
scrolling stops and the machine is well and truly hung.

I tried videotaping the screen to see how far it the boot process got before 
the unwelcome behavior set in, and the last line I can make out is "Activating 
ISA DMA hang workarounds." The next frame of video shows an apparently cleared 
screen filled with the objectionable output.

My version of RedHat is store-bought (7.1, deluxe workstation).

Is CPU replacement really the way to go, here?

Cheers...
Comment 11 Arjan van de Ven 2001-07-09 17:40:38 EDT
could you try booting with "ide=nodma" to see if that helps ?
Comment 12 alex 2001-07-10 00:57:22 EDT
Tried it. No joy.

FWIW, I've uploaded a JPG of the last frame I caught before things went blooey. 
It's at http://www.galexi.com/data/Frame323.jpg. It's a bit blurry, but maybe 
someone can "see" something there.

Cheers...

Note You need to log in before you can comment on or make changes to this bug.